Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.consumer.management.producer
Interface ProducerManager

    public interface ProducerManager

Specifies an interface for managing producers for a given consumer.

This interface is intended to be implemented only by BEA Weblogic Portal.BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Nested Class Summary
`static class` | `ProducerManager.Factory` A `ProducerManager` factory.

Method Summary
`com.bea.wsrp.config.ProducerInfo` | `addProducer(com.bea.wsrp.config.ProducerInfo producerInfo, String webappName)` Adds a producer
`com.bea.wsrp.config.ProducerInfo` | `addProducer(String wsdlUrl, DefinitionsDocument wsdl, ServiceDescription serviceDescription, String producerHandle, String description, String vendorName, String webappName, HttpServletRequest request)` Deprecated This method will be removed in a future release.
`com.bea.wsrp.config.ProducerInfo` | `addProducer(String wsdlUrl, String producerHandle, String description, String vendorName, String webappName, HttpServletRequest request)` Adds a producer
`void` | `deregisterProducer(String producerHandle, String webappName, HttpServletRequest httpRequest)` Deprecated
`void` | `deregisterProducer(String producerHandle, String webappName, HttpServletRequest httpRequest, HttpServletResponse httpResponse, ServletContext servletContext)` Deregisters with the given producer.
`com.bea.wsrp.config.ProducerInfo` | `getProducer(String producerHandle, String webappName)` Returns the producer, given its handle and the web app.
`SortableFilterablePagedResult<com.bea.wsrp.config.ProducerInfo>` | `getProducers(HttpServletRequest httpRequest, WebAppSearchCriteria searchCriteria, int pageSize)` Returns a paged set of currently added producers.
`com.bea.wsrp.config.ProducerInfo[]` | `getProducers(String webappName)` Returns an array of currently added producers.
`com.bea.wsrp.config.ProducerInfo[]` | `getProducersByWsdl(String wsdlUrl, String webappName)` Returns all producers that point to the given WSDL URL.
`IServiceDescription` | `getProducerServiceDescription(String producerHandle, String webappName, HttpServletRequest httpRequest, HttpServletResponse httpResponse, ServletContext servletContext)` Returns the service description for a specified producer.
`ServiceDescription` | `getServiceDescription(String producerHandle, String webappName)` Deprecated This method will be removed in a future version. Use getProducerServiceDescription.
`String` | `modifyProducerRegistration(String producerHandle, String webappName, Map<String,Object> registrationProperties, HttpServletRequest httpRequest, HttpServletResponse httpResponse, ServletContext servletContext)` Modifies a current producer's registration.
`String` | `modifyProducerRegistration(String producerHandle, String webappName, Map registrationProperties, HttpServletRequest httpRequest)` Deprecated
`String` | `registerProducer(String producerHandle, String webappName, Map<String,Object> registrationProperties, HttpServletRequest httpRequest, HttpServletResponse httpResponse, ServletContext servletContext)` Registers this consumer with a producer.
`String` | `registerProducer(String producerHandle, String webappName, Map registrationProperties, HttpServletRequest httpRequest)` Deprecated
`void` | `removeProducer(String producerHandle, String webappName)` Deprecated
`void` | `removeProducer(String producerHandle, String webappName, HttpServletRequest httpRequest, HttpServletResponse httpResponse, ServletContext servletContext)` Removes a producer.
`void` | `removeProducerCascade(String producerHandle, String webappName, boolean disconnected, HttpServletRequest httpRequest, HttpServletResponse httpResponse, ServletContext servletContext)` Removes a producer, first removing any added portlets for the producer.
`void` | `removeProducerCascade(String producerHandle, String webappName, HttpServletRequest httpRequest)` Deprecated
`void` | `removeProducerCascade(String producerHandle, String webappName, HttpServletRequest httpRequest, HttpServletResponse httpResponse, ServletContext servletContext)` Removes a producer, first removing any added portlets for the producer.
`void` | `updateProducer(com.bea.wsrp.config.ProducerInfo producer, String webappName)` Updates the given producer

Method Detail

### addProducer

    com.bea.wsrp.config.ProducerInfo addProducer(String wsdlUrl,
                                                 DefinitionsDocument wsdl,
                                                 ServiceDescription serviceDescription,
                                                 String producerHandle,
                                                 String description,
                                                 String vendorName,
                                                 String webappName,
                                                 HttpServletRequest request)
                                                 throws ProducerManagerException,
                                                        ProducerAlreadyExistsException

  Deprecated This method will be removed in a future release.

  Adds a producer

  Parameters
    `wsdlUrl` - WSDL URL
    `wsdl` - WSDL document
    `serviceDescription` - service description
    `producerHandle` - producer handle
    `description` - description
    `vendorName` - vendor
    `webappName` - web app
    `request` - HTTP request
  Returns
    producer info
  Throws
    `ProducerAlreadyExistsException` - thrown if the given producer data already exists on this consumer
    `ProducerManagerException` - thrown due to an error performing the operation
  See Also
    `#addProducer(String, String, String, String, String, javax.servlet.http.HttpServletRequest)`

### addProducer

    com.bea.wsrp.config.ProducerInfo addProducer(String wsdlUrl,
                                                 String producerHandle,
                                                 String description,
                                                 String vendorName,
                                                 String webappName,
                                                 HttpServletRequest request)
                                                 throws ProducerManagerException,
                                                        ProducerAlreadyExistsException

  Adds a producer

  Parameters
    `wsdlUrl` - WSDL URL
    `producerHandle` - producer handle
    `description` - description
    `vendorName` - vendor
    `webappName` - web app to which this producer is being added
    `request` - HTTP request
  Returns
    producer info
  Throws
    `ProducerAlreadyExistsException` - thrown if the given producer data already exists on this consumer
    `ProducerManagerException` - thrown due to an error performing the operation

### addProducer

    com.bea.wsrp.config.ProducerInfo addProducer(com.bea.wsrp.config.ProducerInfo producerInfo,
                                                 String webappName)
                                                 throws ProducerManagerException,
                                                        ProducerAlreadyExistsException

  Adds a producer

  Parameters
    `producerInfo` - producer info
    `webappName` - web app
  Returns
    producer info
  Throws
    `ProducerAlreadyExistsException` - thrown if the given producer data already exists on this consumer
    `ProducerManagerException` - thrown due to an error performing the operation

### getProducers

    com.bea.wsrp.config.ProducerInfo[] getProducers(String webappName)
                                                    throws ProducerManagerException

  Returns an array of currently added producers.

  Parameters
    `webappName` - webapp name
  Returns
    an array of producers
  Throws
    `ProducerManagerException` - thrown due to an error performing the operation

### getProducers

    SortableFilterablePagedResult<com.bea.wsrp.config.ProducerInfo> getProducers(HttpServletRequest httpRequest,
                                                                                 WebAppSearchCriteria searchCriteria,
                                                                                 int pageSize)
                                                                                 throws ProducerManagerException

  Returns a paged set of currently added producers.

  Parameters
    `httpRequest` - http request
    `pageSize` - page size
  Returns
    page set of producers
  Throws
    `ProducerManagerException` - thrown due to an error performing the operation.

### getProducersByWsdl

    com.bea.wsrp.config.ProducerInfo[] getProducersByWsdl(String wsdlUrl,
                                                          String webappName)
                                                          throws ProducerManagerException

  Returns all producers that point to the given WSDL URL.

  Parameters
    `wsdlUrl` -
    `webappName` -
  Returns
  Throws
    `ProducerManagerException`

### getProducer

    com.bea.wsrp.config.ProducerInfo getProducer(String producerHandle,
                                                 String webappName)
                                                 throws ProducerManagerException

  Returns the producer, given its handle and the web app.

  Returns
    producer
  Throws
    `ProducerManagerException` - thrown due to an error performing the operation

### updateProducer

    void updateProducer(com.bea.wsrp.config.ProducerInfo producer,
                        String webappName)
                        throws ProducerManagerException

  Updates the given producer

  Parameters
    `producer` -
    `webappName` -
  Throws
    `ProducerManagerException`

### getServiceDescription

    ServiceDescription getServiceDescription(String producerHandle,
                                             String webappName)
                                             throws ProducerManagerException

  Deprecated This method will be removed in a future version. Use getProducerServiceDescription.

  Returns the service description for a specified producer.

  Parameters
    `producerHandle` - producer handle
  Returns
    service description
  Throws
    `ProducerManagerException` - thrown due to an error performing the operation
    `IllegalArgumentException` - thrown if the given producer handle is invalid

### getProducerServiceDescription

    IServiceDescription getProducerServiceDescription(String producerHandle,
                                                      String webappName,
                                                      HttpServletRequest httpRequest,
                                                      HttpServletResponse httpResponse,
                                                      ServletContext servletContext)
                                                      throws ProducerManagerException

  Returns the service description for a specified producer.

  Parameters
    `producerHandle` -
    `webappName` - name of the consumer
    `httpRequest` - request
    `httpResponse` - response
    `servletContext` - context
  Returns
  Throws
    `ProducerManagerException`

### registerProducer

    String registerProducer(String producerHandle,
                            String webappName,
                            Map registrationProperties,
                            HttpServletRequest httpRequest)
                            throws IllegalArgumentException,
                                   RegistrationNotSupportedException,
                                   ProducerAlreadyRegisteredException,
                                   ProducerManagerException

  Deprecated

  Registers this consumer with a producer.

  Parameters
    `producerHandle` - producer handle
    `registrationProperties` - registration properties
  Returns
    the generated registration handle
  Throws
    `IllegalArgumentException` - if the given producer handle is invalid
    `RegistrationNotSupportedException` - thrown if the given producer does not support registration
    `ProducerAlreadyRegisteredException` - throw if the given producer is already registered
    `ProducerManagerException` - thrown due to an error performing the operation

### registerProducer

    String registerProducer(String producerHandle,
                            String webappName,
                            Map<String,Object> registrationProperties,
                            HttpServletRequest httpRequest,
                            HttpServletResponse httpResponse,
                            ServletContext servletContext)
                            throws IllegalArgumentException,
                                   RegistrationNotSupportedException,
                                   ProducerAlreadyRegisteredException,
                                   ProducerManagerException,
                                   com.bea.wsrp.config.ProducerUnavailableException

  Registers this consumer with a producer.

  Parameters
    `producerHandle` - producer handle
    `webappName` - name of the consumer
    `registrationProperties` - registration properties
    `httpRequest` - request
    `httpResponse` - response
    `servletContext` - context
  Returns
    the generated registration handle
  Throws
    `IllegalArgumentException` - if the given producer handle is invalid
    `RegistrationNotSupportedException` - thrown if the given producer does not support registration
    `ProducerAlreadyRegisteredException` - throw if the given producer is already registered
    `ProducerManagerException` - thrown due to an error performing the operation
    `com.bea.wsrp.config.ProducerUnavailableException`

### modifyProducerRegistration

    String modifyProducerRegistration(String producerHandle,
                                      String webappName,
                                      Map registrationProperties,
                                      HttpServletRequest httpRequest)
                                      throws IllegalArgumentException,
                                             RegistrationNotSupportedException,
                                             ProducerManagerException

  Deprecated

  Modifies a current producer's registration.

  Parameters
    `producerHandle` - producer handle
    `registrationProperties` - new registration properties
  Throws
    `IllegalArgumentException` - if the given producer handle is invalid
    `RegistrationNotSupportedException` - thrown if the given producer does not support registration
    `ProducerManagerException` - thrown due to an error performing the operation

### modifyProducerRegistration

    String modifyProducerRegistration(String producerHandle,
                                      String webappName,
                                      Map<String,Object> registrationProperties,
                                      HttpServletRequest httpRequest,
                                      HttpServletResponse httpResponse,
                                      ServletContext servletContext)
                                      throws IllegalArgumentException,
                                             RegistrationNotSupportedException,
                                             ProducerManagerException

  Modifies a current producer's registration.

  Parameters
    `producerHandle` - producer handle
    `registrationProperties` - new registration properties
    `httpRequest` - request
    `httpResponse` - response
    `servletContext` - context
  Throws
    `IllegalArgumentException` - if the given producer handle is invalid
    `RegistrationNotSupportedException` - thrown if the given producer does not support registration
    `ProducerManagerException` - thrown due to an error performing the operation

### deregisterProducer

    void deregisterProducer(String producerHandle,
                            String webappName,
                            HttpServletRequest httpRequest)
                            throws IllegalArgumentException,
                                   RegistrationNotSupportedException,
                                   ProducerManagerException

  Deprecated

  Deregisters with the given producer.

  Parameters
    `producerHandle` -
    `webappName` -
  Throws
    `IllegalArgumentException` - if the given producer handle is invalid
    `RegistrationNotSupportedException`
    `ProducerManagerException`

### deregisterProducer

    void deregisterProducer(String producerHandle,
                            String webappName,
                            HttpServletRequest httpRequest,
                            HttpServletResponse httpResponse,
                            ServletContext servletContext)
                            throws IllegalArgumentException,
                                   RegistrationNotSupportedException,
                                   ProducerManagerException

  Deregisters with the given producer.

  Parameters
    `producerHandle` -
    `webappName` -
  Throws
    `IllegalArgumentException` - if the given producer handle is invalid
    `RegistrationNotSupportedException`
    `ProducerManagerException`

### removeProducer

    void removeProducer(String producerHandle,
                        String webappName)
                        throws IllegalArgumentException,
                               com.bea.wsrp.config.ProducerInUseException,
                               ProducerManagerException

  Deprecated

  Removes a producer. If the producer still has added portlets, an exception is thrown. The producer being removed must be known by the `RemotePortletManager`.

  Parameters
    `producerHandle` - The handle for the producer being removed
    `webappName` - the webapp name
  Throws
    `ProducerManagerException` - thrown due to an error performing the operation
    `com.bea.wsrp.config.ProducerInUseException` - thrown if the given producer can not be removed
    `IllegalArgumentException` - if the given producer handle is invalid

### removeProducer

    void removeProducer(String producerHandle,
                        String webappName,
                        HttpServletRequest httpRequest,
                        HttpServletResponse httpResponse,
                        ServletContext servletContext)
                        throws IllegalArgumentException,
                               com.bea.wsrp.config.ProducerInUseException,
                               ProducerManagerException

  Removes a producer. If the producer still has added portlets, an exception is thrown. The producer being removed must be known by the `RemotePortletManager`.

  Parameters
    `producerHandle` - The handle for the producer being removed
    `webappName` - the webapp name
  Throws
    `ProducerManagerException` - thrown due to an error performing the operation
    `com.bea.wsrp.config.ProducerInUseException` - thrown if the given producer can not be removed
    `IllegalArgumentException` - if the given producer handle is invalid

### removeProducerCascade

    void removeProducerCascade(String producerHandle,
                               String webappName,
                               HttpServletRequest httpRequest)
                               throws IllegalArgumentException,
                                      ProducerManagerException

  Deprecated

  Removes a producer, first removing any added portlets for the producer.

  Parameters
    `producerHandle` - The handle for the producer being removed
    `webappName` - the webapp name
    `httpRequest` - HttpServletRequest
  Throws
    `ProducerManagerException` - thrown due to an error performing the operation
    `IllegalArgumentException` - if the given producer handle is invalid

### removeProducerCascade

    void removeProducerCascade(String producerHandle,
                               String webappName,
                               HttpServletRequest httpRequest,
                               HttpServletResponse httpResponse,
                               ServletContext servletContext)
                               throws IllegalArgumentException,
                                      ProducerManagerException

  Removes a producer, first removing any added portlets for the producer.

  Parameters
    `producerHandle` - The handle for the producer being removed
    `webappName` - the webapp name
    `httpRequest` - HttpServletRequest
  Throws
    `ProducerManagerException` - thrown due to an error performing the operation
    `IllegalArgumentException` - if the given producer handle is invalid

### removeProducerCascade

    void removeProducerCascade(String producerHandle,
                               String webappName,
                               boolean disconnected,
                               HttpServletRequest httpRequest,
                               HttpServletResponse httpResponse,
                               ServletContext servletContext)
                               throws IllegalArgumentException,
                                      ProducerManagerException

  Removes a producer, first removing any added portlets for the producer.

  Parameters
    `producerHandle` - The handle for the producer being removed
    `webappName` - the webapp name
    `disconnected` - when this is set to true, this API will not attempt to talk to the producer for tasks such as deregistration
    `httpRequest` - HttpServletRequest
  Throws
    `ProducerManagerException` - thrown due to an error performing the operation
    `IllegalArgumentException` - if the given producer handle is invalid

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved